Type RECT (Left As Long, Top As Long, Right As Long, Bottom As Long)
Type RECTF (Top As Single, Left As Single, Right As Single, Bottom As Single)
Type BrowseInfo (hWndOwner As Long, pIDLRoot As Long, pszDisplayName As Long, lpszTitle As Long, ulFlags As Long, lpfnCallback As Long, lParam As Long, iImage As Long)
Type FILETIME (dwLowDateTime As Long, dwHighDateTime As Long)
Type FINDREPLACE (lStructSize As Long, hWndOwner As Long, hInstance As Long, Flags As Long, lpstrFindWhat As Long, lpstrReplaceWith As Long, wFindWhatLen As Integer, wReplaceWithLen As Integer, lCustData As Long, lpfnHook As Long, lpTemplateName As Long)
Type ICONINFO (fIcon As Long, xHotspot As Long, yHotspot As Long, hbmMask As Long, hbmColor As Long)
Type LARGE_INTEGER (lowpart As Long, highpart As Long)
Type LOGFONT (lfHeight As Long, lfWidth As Long, lfEscapement As Long, lfOrientation As Long, lfWeight As Long, lfItalic As Byte, lfUnderline As Byte, lfStrikeOut As Byte, lfCharSet As Byte, lfOutPrecision As Byte, lfClipPrecision As Byte, lfQuality As Byte, lfPitchAndFamily As Byte, lfFaceName(66) As Byte, FontName As String)
Type LUID_AND_ATTRIBUTES (pLuid As LARGE_INTEGER, Attributes As Long)
Type MONITORINFO (cbSize As Long, rcMonitor As RECT, rcWork As RECT, dwFlags As Long)
Type tOpenType (lStructSize As Long, hWndOwner As Long, hInstance As Long, lpstrFilter As Long, lpstrCustomFilter As Long, nMaxCustFilter As Long, nFilterIndex As Long, lpstrFile As Long, nMaxFile As Long, lpstrFileTitle As Long, nMaxFileTitle As Long, lpstrInitialDir As Long, lpstrTitle As Long, Flags As Long, nFileOffset As Integer, nFileExtension As Integer, lpstrDefExt As Long, lCustData As Long, lpfnHook As Long, lpTemplateName As Long)
Type OSVERSIONINFO (dwOSVersionInfoSize As Long, dwMajorVersion As Long, dwMinorVersion As Long, dwBuildNumber As Long, dwPlatformId As Long, szCSDVersion As String * 128)
Type POINTAPI (X As Long, Y As Long)
Type PROPSHEETHEADER (dwSize As Long, dwFlags As Long, hWndParent As Long, hInstance As Long, hIcon As Long, pszCaption As Long, nPages As Long, nStartPage As Long, phpage As Long, pnfCallback As Long)
Type PROPSHEETPAGE (Size As Long, Flags As Long, hInstance As Long, pResource As Long, hIcon As Long, pszTitle As Long, pfnDlgProc As Long, lParam As Long, pfnCallback As Long, pcRefParent As Long)
Type SHFILEOPSTRUCT (hwnd As Long, wFunc As Long, Reserved_pFrom As Long, Reserved_pTo As Long, fFlags As Integer, fAnyOperationsAborted As Long, hNameMappings As Long, Reserved_lpszProgressTitle As Long, From As String)
Type NOTIFYICONDATA (Reserved_cbsize As Long, hwnd As Long, uId As Long, uFlags As Long, uCallBackMessage As Long, hIcon As Long, Reserved_szTip(129&) As Byte, ToolTip As String)
Type STARTUPINFO (cb As Long, lpReservedL As Long, lpDesktopL As Long, lpTitleL As Long, dwX As Long, dwY As Long, dwXSize As Long, dwYSize As Long, dwXCountChars As Long, dwYCountChars As Long, dwFillAttribute As Long, dwFlags As Long, wShowWindow As Integer, cbReserved2 As Integer, lpReserved2 As Long, hStdInput As Long, hStdOutput As Long, hStdError As Long)
Type Single_TOKEN_PRIVILEGE (PrivilegeCount As Long, pLuid As LARGE_INTEGER, Attributes As Long)
Type TOKEN_PRIVILEGES (PrivilegeCount As Long, Privileges(1) As LUID_AND_ATTRIBUTES)
Type WIN32_FIND_DATA (dwFileAttributes As Long, ftCreationTime As FILETIME, ftLastAccessTime As FILETIME, ftLastWriteTime As FILETIME, nFileSizeHigh As Long, nFileSizeLow As Long, dwReserved0 As Long, dwReserved1 As Long, Reserved_cFileName(521&) As Byte, Reserved_cAlternate(29) As Byte, Filename As String)
Type WINDOWPLACEMENT (Length As Long, flags As Long, showCmd As Long, ptMinPosition As POINTAPI, ptMaxPosition As POINTAPI, rcNormalPosition As Rect)
Type WNDCLASSEX (cbSize As Long, Style As Long, lpfnWndProc As Long, cbClsExtra As Long, cbWndExtra As Long, hInstance As Long, hIcon As Long, hCursor As Long, hbrBackground As Long, Reserved_lpszMenuName As Long, Reserved_lpszClassName As Long, hIconSm As Long, ClassName As String)
Type BITMAPINFOHEADER (biSize As Long, biWidth As Long, biHeight As Long, biPlanes As Integer, biBitCount As Integer, biCompression As Long, biSizeImage As Long, biXPelsPerMeter As Long, biYPelsPerMeter As Long, biClrUsed As Long, biClrImportant As Long)
Type DRAWITEMSTRUCT (CtlType As Long, CtlID As Long, itemID As Long, itemAction As Long, itemState As Long, hwndItem As Long, hdc As Long, rcItem As RECT, itemData As Long)
Type SYSTEMTIME (wYear As Integer, wMonth As Integer, wDayOfWeek As Integer, wDay As Integer, wHour As Integer, wMinute As Integer, wSecond As Integer, wMilliseconds As Integer)
Type ChooseFont (lStructSize As Long, hWndOwner As Long, hdc As Long, lpLogFont As Long, iPointSize As Long, Flags As Long, rgbColors As Long, lCustData As Long, lpfnHook As Long, lpTemplateName As Long, hInstance As Long, lpszStyleL As Long, nFontType As Integer, MISSING_ALIGNMENT As Integer, nSizeMin As Long, nSizeMax As Long)
Type GDIPlusStartupInput (GdiPlusVersion As Long, DebugEventCallback As Long, SuppressBackgroundThread As Long, SuppressExternalCodecs As Long)
Type GdiplusStartupOutput (NotificationHook As Long, NotificationUnhook As Long)
Enum GDIPlus_Status (OK = 0, GenericError = 1, InvalidParameter = 2, OutOfMemory = 3, ObjectBusy = 4, InsufficientBuffer = 5, NotImplemented = 6, Win32Error = 7, WrongState = 8, Aborted = 9, FileNotFound = 10, ValueOverflow = 11, AccessDenied = 12, UnknownImageFormat = 13, FontFamilyNotFound = 14, FontStyleNotFound = 15, NotTrueTypeFont = 16, UnsupportedGdiplusVersion = 17, GdiplusNotInitialized = 18, PropertyNotFound = 19, PropertyNotSupported = 20, ProfileNotFound = 21)
Type PropertyItem (id As Long, length As Long, type As Long, Value As Long)

Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)
Function GetWindow Lib "user32" (ByVal hwnd As Long, ByVal wCmd As Long) As Long
Function DeleteFileA Lib "kernel32" (ByVal lpFileName As String) As Long
Function DeleteFileW Lib "kernel32" (ByVal lpFileName As Long) As Long
!Function RegEnumValueA Lib "advapi32.dll" (ByVal hKey As Long, ByVal dwIndex As Long, lpValueName As Any, lpcbValueName As Long, lpReserved As Long, lpType As Long, lpData As Any, lpcbData As Long) As Long
!Function RegEnumValueW Lib "advapi32.dll" (ByVal hKey As Long, ByVal dwIndex As Long, lpValueName As Any, lpcbValueName As Long, lpReserved As Long, lpType As Long, lpData As Any, lpcbData As Long) As Long
Function VirtualAlloc Lib "kernel32" (ByVal lpAddress As Long, ByVal dwSize As Long, ByVal flAllocationType As Long, ByVal flProtect As Long) As Long
Function VirtualFree Lib "kernel32" (ByVal lpAddress As Long, ByVal dwSize As Long, ByVal dwFreeType As Long) As Long
Sub InitCommonControls Lib "comctl32.dll" ()
Function CreateFileMappingA Lib "kernel32" (ByVal hFile As Long, ByVal lpFileMappigAttributes As Long, ByVal flProtect As Long, ByVal dwMaximumSizeHigh As Long, ByVal dwMaximumSizeLow As Long, ByVal lpName As String) As Long
Function MapViewOfFile Lib "kernel32" (ByVal hFileMappingObject As Long, ByVal dwDesiredAccess As Long, ByVal dwFileOffsetHigh As Long, ByVal dwFileOffsetLow As Long, ByVal dwNumberOfBytesToMap As Long) As Long
Function UnmapViewOfFile Lib "kernel32" (ByVal lpBaseAddress As Long) As Long
Function GetParent Lib "user32" (ByVal hwnd As Long) As Long
Function GetNextDlgTabItem Lib "user32" (ByVal hDlg As Long, ByVal hCtl As Long, ByVal bPrevious As Long) As Long
Function GetAsyncKeyState Lib "user32" (ByVal vKey As Long) As Integer
Function AdjustWindowRectEx Lib "user32" (lpRect As RECT, ByVal dsStyle As Long, ByVal bMenu As Long, ByVal dwEsStyle As Long) As Long
Function ShowWindow Lib "user32" (ByVal hwnd As Long, ByVal nCmdShow As Long) As Long
Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal x As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
Function DrawFrameControl Lib "user32" (ByVal hdc As Long, lpRect As RECT, ByVal un1 As Long, ByVal un2 As Long) As Long
Function IsThemeActive Lib "uxtheme.dll" () As Long
Function IsAppThemed Lib "uxtheme.dll" () As Long
Function OpenThemeData Lib "uxtheme.dll" (ByVal hwnd As Long, ByVal pszClassList As Long) As Long
Function CloseThemeData Lib "uxtheme.dll" (ByVal hTheme As Long) As Long
Function IsThemeBackgroundPartiallyTransparent Lib "uxtheme.dll" (ByVal hTheme As Long, ByVal iPartId As Long, ByVal iStateId As Long) As Long
Function DrawThemeParentBackground Lib "uxtheme.dll" (ByVal hWnd As Long, ByVal hdc As Long, prc As RECT) As Long
Function DrawThemeBackground Lib "uxtheme.dll" (ByVal hTheme As Long, ByVal lhdc As Long, ByVal iPartId As Long, ByVal iStateId As Long, pRect As RECT, ByVal pClipRect As Long) As Long
Function IsWindowVisible Lib "user32" (ByVal hWnd As Long) As Long
Sub GetSystemTime Lib "kernel32" (lpSystemTime As SYSTEMTIME)
Function GetDateFormatA Lib "kernel32" (ByVal Locale As Long, ByVal dwFlags As Long, lpDate As SYSTEMTIME, ByVal lpFormat As Long, ByVal lpDateStr As Long, ByVal cchDate As Long) As Long
Function GetDateFormatW Lib "kernel32" (ByVal Locale As Long, ByVal dwFlags As Long, lpDate As SYSTEMTIME, ByVal lpFormat As Long, ByVal lpDateStr As Long, ByVal cchDate As Long) As Long
Function GetTimeFormatA Lib "kernel32" (ByVal Locale As Long, ByVal dwFlags As Long, lpTime As SYSTEMTIME, ByVal lpFormat As Long, ByVal lpTimeStr As Long, ByVal cchTime As Long) As Long
Function GetTimeFormatW Lib "kernel32" (ByVal Locale As Long, ByVal dwFlags As Long, lpTime As SYSTEMTIME, ByVal lpFormat As Long, ByVal lpTimeStr As Long, ByVal cchTime As Long) As Long
Function GetSysColor Lib "user32" (ByVal nIndex As Long) As Long
Function GetBkColor Lib "gdi32" (ByVal hdc As Long) As Long
Function GetTextColor Lib "gdi32" (ByVal hdc As Long) As Long
Function SetTextColor Lib "gdi32" (ByVal hdc As Long, ByVal crColor As Long) As Long
Function SetBkColor Lib "gdi32" (ByVal hdc As Long, ByVal crColor As Long) As Long
Function DrawFocusRect Lib "user32" (ByVal hdc As Long, lpRect As RECT) As Long
Function FillRect Lib "user32" (ByVal hdc As Long, lpRect As RECT, ByVal hBrush As Long) As Long
Function CreateSolidBrush Lib "gdi32" (ByVal crColor As Long) As Long
Function EnumFontsA Lib "gdi32" (ByVal hdc As Long, ByVal lpsz As Long, ByVal lpFontEnumProc As Long, ByVal lParam As Long) As Long
Function EnumFontsW Lib "gdi32" (ByVal hdc As Long, ByVal lpsz As Long, ByVal lpFontEnumProc As Long, ByVal lParam As Long) As Long
Function GetClientRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT) As Long
Function SelectObject Lib "gdi32" (ByVal hdc As Long, ByVal hObject As Long) As Long
Function DeleteDC Lib "gdi32.dll" (ByVal hdc As Long) As Long
Function StretchBlt Lib "gdi32" (ByVal hdc As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal nSrcWidth As Long, ByVal nSrcHeight As Long, ByVal dwRop As Long) As Long
Function SetDIBits Lib "gdi32" (ByVal aHDC As Long, ByVal hBitmap As Long, ByVal nStartScan As Long, ByVal nNumScans As Long, lpBits As Any, lpBI As Any, ByVal wUsage As Long) As Long
Function BitBlt Lib "gdi32" (ByVal hDestDC As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long
Function CreateCompatibleBitmap Lib "gdi32" (ByVal hdc As Long, ByVal nWidth As Long, ByVal nHeight As Long) As Long
Function CreateCompatibleDC Lib "gdi32" (ByVal hdc As Long) As Long
Function FindFirstFileA Lib "kernel32" (ByVal lpFileName As String, lpFindFileData As WIN32_FIND_DATA) As Long
Function FindFirstFileW Lib "kernel32" (ByVal lpFileName As Long, lpFindFileData As WIN32_FIND_DATA) As Long
Function FindNextFileA Lib "kernel32" (ByVal hFindFile As Long, lpFindFileData As WIN32_FIND_DATA) As Long
Function FindNextFileW Lib "kernel32" (ByVal hFindFile As Long, lpFindFileData As WIN32_FIND_DATA) As Long
Function FindClose Lib "kernel32" (ByVal hFindFile As Long) As Long
Function SHBrowseForFolderA Lib "shell32" (lpBI As BrowseInfo) As Long
Function SHBrowseForFolderW Lib "shell32" (lpBI As BrowseInfo) As Long
Sub CoTaskMemFree Lib "ole32" (ByVal pv As Long)
Function GetOpenFileNameA Lib "comdlg32.dll" (pOpenfilename As tOpenType) As Long
Function GetOpenFileNameW Lib "comdlg32.dll" (pOpenfilename As tOpenType) As Long
Function GetSaveFileNameA Lib "comdlg32.dll" (pOpenfilename As tOpenType) As Long
Function GetSaveFileNameW Lib "comdlg32.dll" (pOpenfilename As tOpenType) As Long
Function FindFirstChangeNotificationA Lib "kernel32.dll" (ByVal lpPathName As String, ByVal bWatchSubtree As Long, ByVal dwNotifyFilter As Long) As Long
Function FindFirstChangeNotificationW Lib "kernel32.dll" (ByVal lpPathName As Long, ByVal bWatchSubtree As Long, ByVal dwNotifyFilter As Long) As Long
Function SetDlgItemTextA Lib "user32" (ByVal hDlg As Long, ByVal nIDDlgItem As Long, ByVal lpString As String) As Long
Function SetDlgItemTextW Lib "user32" (ByVal hDlg As Long, ByVal nIDDlgItem As Long, ByVal lpString As Long) As Long
Function DialogBoxIndirectParamA Lib "user32" (ByVal hInstance As Long, ByVal hDialogTemplate As String, ByVal hWndParent As Long, ByVal lpDialogFunc As Long, ByVal xParam As Long) As Long
Function DialogBoxIndirectParamW Lib "user32" (ByVal hInstance As Long, ByVal hDialogTemplate As String, ByVal hWndParent As Long, ByVal lpDialogFunc As Long, ByVal xParam As Long) As Long
!Function GetFileVersionInfoA Lib "version.dll" (ByVal lptstrFilename As String, ByVal dwHandle As Long, ByVal dwLen As Long, lpData As Any) As Long
!Function GetFileVersionInfoW Lib "version.dll" (ByVal lptstrFilename As Long, ByVal dwHandle As Long, ByVal dwLen As Long, lpData As Any) As Long
Function GetFileVersionInfoSizeA Lib "version.dll" (ByVal lptstrFilename As String, lpdwHandle As Long) As Long
Function GetFileVersionInfoSizeW Lib "version.dll" (ByVal lptstrFilename As Long, lpdwHandle As Long) As Long
!Function VerQueryValueA Lib "version.dll" (pBlock As Any, ByVal lpSubBlock As String, lplpBuffer As Long, puLen As Long) As Long
!Function VerQueryValueW Lib "version.dll" (pBlock As Any, ByVal lpSubBlock As Long, lplpBuffer As Long, puLen As Long) As Long
Function GetDC Lib "user32" (ByVal hwnd As Long) As Long
Function GetDeviceCaps Lib "gdi32" (ByVal hdc As Long, ByVal nIndex As Long) As Long
Function ReleaseDC Lib "user32" (ByVal hwnd As Long, ByVal hdc As Long) As Long
Function LookupPrivilegeValueA Lib "advapi32.dll" (lpSystemName As Any, ByVal lpName As String, lpLuid As LARGE_INTEGER) As Long
Function GetCurrentProcess Lib "kernel32" () As Long
Function AdjustTokenPrivileges Lib "advapi32.dll" (ByVal TokenHandle As Long, ByVal DisableAllPrivileges As Long, NewState As Any, ByVal BufferLength As Long, PreviousState As Any, ReturnLength As Long) As Long
Function OpenProcessToken Lib "advapi32.dll" (ByVal ProcessHandle As Long, ByVal DesiredAccess As Long, TokenHandle As Long) As Long
Function ExitWindowsEx Lib "user32" (ByVal uFlags As Long, ByVal dwReserved As Long) As Long
Function GetVersion Lib "kernel32" Alias "GetVersion" () As Long
Function GetVersionExA Lib "kernel32" (lpVersionInformation As OSVERSIONINFO) As Long
Function MonitorFromPoint Lib "user32.dll" (ByVal x As Long, ByVal y As Long, ByVal dwFlags As Long) As Long
Function GetMonitorInfoA Lib "user32.dll" (ByVal hMonitor As Long, ByRef lpmi As MONITORINFO) As Long
Function GetForegroundWindow Lib "user32" () As Long
Function SetForegroundWindow Lib "user32" (ByVal hWnd As Long) As Long
Function GetSystemMetrics Lib "user32" (ByVal nIndex As Long) As Long
Function GetMenuItemRect Lib "user32" (ByVal hWnd As Long, ByVal hMenu As Long, ByVal uItem As Long, lprcItem As RECT) As Long
Function DestroyWindow Lib "user32" (ByVal hWnd As Long) As Long
Function GetWindowRect Lib "user32" (ByVal hWnd As Long, lpRect As RECT) As Long
Function DeleteObject Lib "gdi32" (ByVal hObject As Long) As Long
Function GetIconInfo Lib "user32" (ByVal hIcon As Long, piconinfo As ICONINFO) As Long
Function ClientToScreen Lib "user32.dll" (ByVal hWnd As Long, ByRef lpPoint As Any) As Long
Function GetFileAttributesA Lib "kernel32" (ByVal lpFileName As String) As Long
Function GetFileAttributesW Lib "kernel32" (ByVal lpFileName As Long) As Long
Function GetTickCount Lib "kernel32" () As Long
Function LoadStringA Lib "user32" (ByVal hInstance As Long, ByVal wID As Long, ByVal lpBuffer As Long, ByVal nBufferMax As Long) As Long
Function LoadStringW Lib "user32" (ByVal hInstance As Long, ByVal wID As Long, ByVal lpBuffer As Long, ByVal nBufferMax As Long) As Long
Function SetWindowTextA Lib "user32.dll" (ByVal hwnd As Long, ByVal lpString As String) As Long
Function SetWindowTextW Lib "user32.dll" (ByVal hwnd As Long, ByVal lpString As Long) As Long
Function lstrcpynA Lib "kernel32" (ByVal lpString1 As String, ByVal lpString2 As Long, ByVal iMaxLength As Long) As Long
Function lstrcpynW Lib "kernel32" (ByVal lpString1 As Long, ByVal lpString2 As Long, ByVal iMaxLength As Long) As Long
Function lstrlenA Lib "kernel32" (ByVal lpString As Long) As Long
Function lstrlenW Lib "kernel32" (ByVal lpString As Long) As Long
Function GetKeyNameTextA Lib "user32" (ByVal lParam As Long, ByVal lpBuffer As Long, ByVal nSize As Long) As Long
Function GetKeyNameTextW Lib "user32" (ByVal lParam As Long, ByVal lpBuffer As Long, ByVal nSize As Long) As Long
Function MapVirtualKeyA Lib "user32" (ByVal wCode As Long, ByVal wMapType As Long) As Long
Function MapVirtualKeyW Lib "user32" (ByVal wCode As Long, ByVal wMapType As Long) As Long
Function TextOutWide Lib "gdi32" Alias "TextOutW" (ByVal hdc As Long, ByVal x As Long, ByVal y As Long, ByVal lpString As Long, ByVal nCount As Long) As Long
Function DefWindowProcAnsi Lib "user32" Alias "DefWindowProcA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Function DefWindowProcWide Lib "user32" Alias "DefWindowProcW" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Function CallWindowProcAnsi Lib "user32" Alias "CallWindowProcA" (ByVal lpPrevWndFunc As Long, ByVal hwnd As Long, ByVal Msg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Function CallWindowProcWide Lib "user32" Alias "CallWindowProcW" (ByVal lpPrevWndFunc As Long, ByVal hwnd As Long, ByVal Msg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Function CreateWindowExA Lib "user32" (ByVal dwExStyle As Long, ByVal lpClassName As String, ByVal lpWindowName As String, ByVal dwStyle As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hWndParent As Long, ByVal hMenu As Long, ByVal hInstance As Long, ByVal lpParam As long) As Long
Function CreateWindowExW Lib "user32" (ByVal dwExStyle As Long, ByVal lpClassName As Long, ByVal lpWindowName As Long, ByVal dwStyle As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hWndParent As Long, ByVal hMenu As Long, ByVal hInstance As Long, ByVal lpParam As Long) As Long
Function GetClassNameA Lib "user32" (ByVal hwnd As Long, ByVal lpClassName As Long, ByVal nMaxCount As Long) As Long
Function GetClassNameW Lib "user32" (ByVal hwnd As Long, ByVal lpClassName As Long, ByVal nMaxCount As Long) As Long
Function RegOpenKeyExA Lib "advapi32.dll" (ByVal HKEY As Long, ByVal lpSubKey As String, ByVal ulOptions As Long, ByVal samDesired As Long, phkResult As Long) As Long
Function RegOpenKeyExW Lib "advapi32.dll" (ByVal HKEY As Long, ByVal lpSubKey As Long, ByVal ulOptions As Long, ByVal samDesired As Long, phkResult As Long) As Long
Function RegCreateKeyExA Lib "advapi32.dll" (ByVal HKEY As Long, ByVal lpSubKey As String, ByVal Reserved As Long, ByVal lpClass As String, ByVal dwOptions As Long, ByVal samDesired As Long, ByVal lpSecurityAttributes As Long, phkResult As Long, lpdwDisposition As Long) As Long
Function RegCreateKeyExW Lib "advapi32.dll" (ByVal HKEY As Long, ByVal lpSubKey As Long, ByVal Reserved As Long, ByVal lpClass As String, ByVal dwOptions As Long, ByVal samDesired As Long, ByVal lpSecurityAttributes As Long, phkResult As Long, lpdwDisposition As Long) As Long
!Function RegQueryValueExA Lib "advapi32.dll" (ByVal HKEY As Long, ByVal lpValueName As String, ByVal lpReserved As Long, ByVal lpType As Long, lpData As Any, lpcbData As Long) As Long
!Function RegQueryValueExW Lib "advapi32.dll" (ByVal HKEY As Long, ByVal lpValueName As Long, ByVal lpReserved As Long, ByVal lpType As Long, lpData As Any, lpcbData As Long) As Long
Function LoadCursorA Lib "user32" (ByVal hInstance As Long, ByVal lpCursorName As Long) As Long
Function LoadCursorW Lib "user32" (ByVal hInstance As Long, ByVal lpCursorName As Long) As Long
Function RegisterClassExA Lib "user32" (pcWndClassEx As WNDCLASSEX) As Integer
Function RegisterClassExW Lib "user32" (pcWndClassEx As WNDCLASSEX) As Integer
Function UnregisterClassA Lib "user32" (ByVal lpClassName As String, ByVal hInstance As Long) As Long
Function UnregisterClassW Lib "user32" (ByVal lpClassName As Long, ByVal hInstance As Long) As Long
Function GetClassInfoExA Lib "user32" (ByVal hInstance As Long, ByVal lpClassName As String, lpWndClass As WNDCLASSEX) As Long
Function GetClassInfoExW Lib "user32" (ByVal hInstance As Long, ByVal lpClassName As Long, lpWndClass As WNDCLASSEX) As Long
Function LoadLibraryA Lib "kernel32" (ByVal lpLibFileName As String) As Long
Function LoadLibraryW Lib "kernel32" (ByVal lpLibFileName As Long) As Long
Function LoadLibraryExA Lib "kernel32" (ByVal lpLibFileName As String, ByVal hFile As Long, ByVal dwFlags As Long) As Long
Function LoadLibraryExW Lib "kernel32" (ByVal lpLibFileName As Long, ByVal hFile As Long, ByVal dwFlags As Long) As Long
Function ShellExecuteA Lib "shell32.dll" (ByVal hwnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long
Function ShellExecuteW Lib "shell32.dll" (ByVal hwnd As Long, ByVal lpOperation As Long, ByVal lpFile As Long, ByVal lpParameters As Long, ByVal lpDirectory As Long, ByVal nShowCmd As Long) As Long
Function DrawTextA Lib "user32" (ByVal hdc As Long, ByVal lpStr As String, ByVal nCount As Long, lpRect As RECT, ByVal wFormat As Long) As Long
Function DrawTextADirect Lib "user32" alias "DrawTextA" (ByVal hdc As Long, ByVal lpStr As Long, ByVal nCount As Long, lpRect As RECT, ByVal wFormat As Long) As Long
Function DrawTextW Lib "user32" (ByVal hdc As Long, ByVal lpStr As Long, ByVal nCount As Long, lpRect As RECT, ByVal wFormat As Long) As Long
Function MessageBoxW Lib "user32" (ByVal hwnd As Long, ByVal lpText As Long, ByVal lpCaption As Long, ByVal wType As Long) As Long
Function GetMenuStringA Lib "user32" (ByVal hMenu As Long, ByVal wIDItem As Long, ByVal lpString As Long, ByVal nMaxCount As Long, ByVal wFlag As Long) As Long
Function GetMenuStringW Lib "user32" (ByVal hMenu As Long, ByVal wIDItem As Long, ByVal lpString As Long, ByVal nMaxCount As Long, ByVal wFlag As Long) As Long
Function ModifyMenuA Lib "user32" (ByVal hMenu As Long, ByVal nPosition As Long, ByVal wFlags As Long, ByVal wIDNewItem As Long, ByVal lpString As String) As Long
Function ModifyMenuW Lib "user32" (ByVal hMenu As Long, ByVal nPosition As Long, ByVal wFlags As Long, ByVal wIDNewItem As Long, ByVal lpString As Long) As Long
Function RegEnumKeyA Lib "advapi32.dll" (ByVal HKEY As Long, ByVal dwIndex As Long, ByVal lpName As Long, ByVal cbName As Long) As Long
Function RegEnumKeyW Lib "advapi32.dll" (ByVal HKEY As Long, ByVal dwIndex As Long, ByVal lpName As Long, ByVal cbName As Long) As Long
Function RegDeleteValueA Lib "advapi32.dll" (ByVal HKEY As Long, ByVal lpValueName As String) As Long
Function RegDeleteValueW Lib "advapi32.dll" (ByVal HKEY As Long, ByVal lpValueName As Long) As Long
Function RegDeleteKeyA Lib "advapi32.dll" (ByVal HKEY As Long, ByVal lpSubKey As String) As Long
Function RegDeleteKeyW Lib "advapi32.dll" (ByVal HKEY As Long, ByVal lpSubKey As Long) As Long
Function GetWindowTextA Lib "user32.dll" (ByVal hwnd As Long, ByVal lpString As Long, ByVal cch As Long) As Long
Function GetWindowTextW Lib "user32.dll" (ByVal hwnd As Long, ByVal lpString As Long, ByVal cch As Long) As Long
Function LoadMenuA Lib "user32" (ByVal hInstance As Long, ByVal lpString As String) As Long
Function LoadMenuW Lib "user32" (ByVal hInstance As Long, ByVal lpString As Long) As Long
!Function InsertMenuA Lib "user32" (ByVal hMenu As Long, ByVal nPosition As Long, ByVal wFlags As Long, ByVal wIDNewItem As Long, lpNewItem As Any) As Long
Function InsertMenuW Lib "user32" (ByVal hMenu As Long, ByVal nPosition As Long, ByVal wFlags As Long, ByVal wIDNewItem As Long, ByVal lpNewItem As Long) As Long

Function SetMenu Lib "user32" (ByVal hwnd As Long, ByVal hMenu As Long) As Long
Function DrawMenuBar Lib "user32" (ByVal hwnd As Long) As Long
Function DeleteMenu Lib "user32" (ByVal hMenu As Long, ByVal nPosition As Long, ByVal wFlags As Long) As Long
Function SetMenuDefaultItem Lib "user32" (ByVal hMenu As Long, ByVal uItem As Long, ByVal fByPos As Long) As Long
Function CreatePopupMenu Lib "user32" () As Long
Function DestroyMenu Lib "user32" (ByVal hMenu As Long) As Long
Function CheckMenuItem Lib "user32" (ByVal hMenu As Long, ByVal wIDCheckItem As Long, ByVal wCheck As Long) As Long
Function EnableMenuItem Lib "user32" (ByVal hMenu As Long, ByVal wIDEnableItem As Long, ByVal wEnable As Long) As Long
Function TrackPopupMenuEx Lib "user32" (ByVal hMenu As Long, ByVal un As Long, ByVal n1 As Long, ByVal n2 As Long, ByVal hwnd As Long, ByVal lpTPMParams As Long) As Long
Function GetMenuState Lib "user32" (ByVal hMenu As Long, ByVal wID As Long, ByVal wFlags As Long) As Long
Function GetMenuItemCount Lib "user32" (ByVal hMenu As Long) As Long
Function RemoveMenu Lib "user32" (ByVal hMenu As Long, ByVal nPosition As Long, ByVal wFlags As Long) As Long
Function WinHelpA Lib "user32" (ByVal hwnd As Long, ByVal lpHelpFile As String, ByVal wCommand As Long, ByVal dwData As Long) As Long
Function WinHelpW Lib "user32" (ByVal hwnd As Long, ByVal lpHelpFile As Long, ByVal wCommand As Long, ByVal dwData As Long) As Long
Function GetShortPathNameW Lib "kernel32.dll" (ByVal lpszLongPath As Long, ByVal lpszShortPath As Long, ByVal cchBuffer As Long) As Long
Function DragQueryFileA Lib "shell32.dll" (ByVal hDrop As Long, ByVal UINT As Long, Byval lpStr As Long, ByVal ch As Long) As Long
Function DragQueryFileW Lib "shell32.dll" (ByVal hDrop As Long, ByVal UINT As Long, Byval lpStr As Long, ByVal ch As Long) As Long
Function GetDlgItemTextA Lib "user32" (ByVal hDlg As Long, ByVal nIDDlgItem As Long, ByVal lpString As Long, ByVal nMaxCount As Long) As Long
Function GetDlgItemTextW Lib "user32" (ByVal hDlg As Long, ByVal nIDDlgItem As Long, ByVal lpString As Long, ByVal nMaxCount As Long) As Long

Function CreateWaitableTimerA Lib "kernel32" (ByVal lpSemaphoreAttributes As Long, ByVal bManualReset As Long, ByVal lpName As Long) As Long
Function CreateWaitableTimerW Lib "kernel32" (ByVal lpSemaphoreAttributes As Long, ByVal bManualReset As Long, ByVal lpName As Long) As Long
Function SetWaitableTimer Lib "kernel32" (ByVal hTimer As Long, lpDueTime As FILETIME, ByVal lPeriod As Long, ByVal pfnCompletionRoutine As Long, ByVal lpArgToCompletionRoutine As Long, ByVal fResume As Long) As Long
Function MsgWaitForMultipleObjects Lib "user32" (ByVal nCount As Long, pHandles As Long, ByVal fWaitAll As Long, ByVal dwMilliseconds As Long, ByVal dwWakeMask As Long) As Long
Function CloseHandle Lib "kernel32" (ByVal hObject As Long) As Long
Function OpenProcess Lib "kernel32" (ByVal dwDesiredAccess As Long, ByVal bInheritHandle As Long, ByVal dwProcessId As Long) As Long
Function FindNextChangeNotification Lib "kernel32.dll" (ByVal hChangeHandle As Long) As Long
Function FindCloseChangeNotification Lib "kernel32.dll" (ByVal hChangeHandle As Long) As Long
Function WaitForSingleObject Lib "kernel32" (ByVal hHandle As Long, ByVal dwMilliseconds As Long) As Long
Function SetFocusAPI Lib "user32" Alias "SetFocus" (ByVal hwnd As Long) As Long
Function GetDlgItem Lib "user32" (ByVal hDlg As Long, ByVal nIDDlgItem As Long) As Long
Function CheckDlgButton Lib "user32" (ByVal hDlg As Long, ByVal nIDButton As Long, ByVal wCheck As Long) As Long
Function IsDlgButtonChecked Lib "user32" (ByVal hDlg As Long, ByVal nIDButton As Long) As Long
Function EnableWindow Lib "user32" (ByVal hwnd As Long, ByVal fEnable As Long) As Long
Function EndDialog Lib "user32" (ByVal hDlg As Long, ByVal nResult As Long) As Long
Function CreatePropertySheetPageA Lib "comctl32.dll" (lppsp As PROPSHEETPAGE) As Long
Function CreatePropertySheetPageW Lib "comctl32.dll" (lppsp As PROPSHEETPAGE) As Long
Function PropertySheetA Lib "comctl32.dll" (lppsph As PROPSHEETHEADER) As Long
Function PropertySheetW Lib "comctl32.dll" (lppsph As PROPSHEETHEADER) As Long
Function GetTextExtentPoint32Wide Lib "gdi32.dll" Alias "GetTextExtentPoint32W" (ByVal hdc As Long, ByVal lpsz As long, ByVal cbString As Long, ByRef lpSize As Any) As Long
Function GetCursorPos Lib "user32" (lpPoint As Any) As Long
Function GetWindowPlacement Lib "user32" (ByVal hwnd As Long, lpwndpl As WINDOWPLACEMENT) As Long
Function GetDesktopWindow Lib "user32" () As Long
Function CreateDirectoryA Lib "kernel32" (ByVal lpPathName As String, ByVal lpSecurityAttributes As Long) As Long
Function CreateDirectoryW Lib "kernel32" (ByVal lpPathName As Long, ByVal lpSecurityAttributes As Long) As Long
Function GetFullPathNameA Lib "kernel32" (ByVal lpFileName As String, ByVal nBufferLength As Long, ByVal lpBuffer As Long, ByVal lpFilePart As Long) As Long
Function GetFullPathNameW Lib "kernel32" (ByVal lpFileName As Long, ByVal nBufferLength As Long, ByVal lpBuffer As Long, ByVal lpFilePart As Long) As Long
Function SHGetSpecialFolderLocation Lib "shell32.dll" (ByVal hWndOwner As Long, ByVal nFolder As Long, ppidl As Long) As Long
Function SHGetSpecialFolderLocationFromSHFolder Lib "shfolder.dll" Alias "SHGetSpecialFolderLocation" (ByVal hWndOwner As Long, ByVal nFolder As Long, ppidl As Long) As Long
Function CreateFileA Lib "kernel32.dll" (ByVal lpFileName As String, ByVal dwDesiredAccess As Long, ByVal dwShareMode As Long, ByVal lpSecurityAttributes As Long, ByVal dwCreationDisposition As Long, ByVal dwFlagsAndAttributes As Long, ByVal hTemplateFile As Long) As Long
Function CreateFileW Lib "kernel32.dll" (ByVal lpFileName As Long, ByVal dwDesiredAccess As Long, ByVal dwShareMode As Long, ByVal lpSecurityAttributes As Long, ByVal dwCreationDisposition As Long, ByVal dwFlagsAndAttributes As Long, ByVal hTemplateFile As Long) As Long
Function GetFileSize Lib "kernel32" (ByVal hFile As Long, lpFileSizeHigh As Long) As Long
Function SetFilePointer Lib "kernel32" (ByVal hFile As Long, ByVal lDistanceToMove As Long, ByVal lpDistanceToMoveHigh As Long, ByVal dwMoveMethod As Long) As Long
Function ReadFile Lib "kernel32" (ByVal hFile As Long, lpBuffer As Any, ByVal nNumberOfBytesToRead As Long, lpNumberOfBytesRead As Long, ByVal lpOverlapped As Long) As Long
Function WriteFile Lib "kernel32" (ByVal hFile As Long, lpBuffer As Any, ByVal nNumberOfBytesToWrite As Long, lpNumberOfBytesWritten As Long, ByVal lpOverlapped As Long) As Long
Function SetEndOfFile Lib "kernel32" (ByVal hFile As Long) As Long
Function FindWindowA Lib "user32" (ByVal lpClassName As String, ByVal lpWindowName As String) As Long
Function FindWindowW Lib "user32" (ByVal lpClassName As Long, ByVal lpWindowName As Long) As Long
!Function SendMessageA Lib "user32" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
!Function SendMessageW Lib "user32" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
!Function PostMessageA Lib "user32" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
!Function PostMessageW Lib "user32" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
Function LocalAlloc Lib "kernel32" (ByVal wFlags As Long, ByVal wBytes As Long) As Long
Function LocalFree Lib "kernel32" (ByVal hMem As Long) As Long
Function GetDriveTypeA Lib "kernel32" Alias "GetDriveTypeA" (ByVal nDrive As String) As Long
!Function Shell_NotifyIconA Lib "shell32.dll" (ByVal dwMessage As Long, lpData As Any) As Long
!Function Shell_NotifyIconW Lib "shell32.dll" (ByVal dwMessage As Long, lpData As Any) As Long
Function SHFileOperationA Lib "shell32.dll" (lpFileOp As SHFILEOPSTRUCT) As Long
Function SHFileOperationW Lib "shell32.dll" (lpFileOp As SHFILEOPSTRUCT) As Long
Function CreateFontIndirectA Lib "gdi32" (ByVal lpLogFont As Long) As Long
Function CreateFontIndirectW Lib "gdi32" (ByVal lpLogFont As Long) As Long
Function CreateFontA Lib "gdi32" (ByVal nHeight As Long, ByVal nWidth As Long, ByVal nEscapement As Long, ByVal nOrientation As Long, ByVal fnWeight As Long, ByVal fdwItalic As Long, ByVal fdwUnderline As Long, ByVal fdwStrikeOut As Long, ByVal fdwCharSet As Long, ByVal fdwOutputPrecision As Long, ByVal fdwClipPrecision As Long, ByVal fdwQuality As Long, ByVal fdwPitchAndFamily As Long, ByVal lpszFace As String) As Long
Function CreateFontW Lib "gdi32" (ByVal nHeight As Long, ByVal nWidth As Long, ByVal nEscapement As Long, ByVal nOrientation As Long, ByVal fnWeight As Long, ByVal fdwItalic As Long, ByVal fdwUnderline As Long, ByVal fdwStrikeOut As Long, ByVal fdwCharSet As Long, ByVal fdwOutputPrecision As Long, ByVal fdwClipPrecision As Long, ByVal fdwQuality As Long, ByVal fdwPitchAndFamily As Long, ByVal lpszFace As Long) As Long
Function GetWindowLongA Lib "user32" (ByVal hwnd As Long, ByVal nIndex As Long) As Long
Function GetWindowLongW Lib "user32" (ByVal hwnd As Long, ByVal nIndex As Long) As Long
Function SetWindowLongA Lib "user32" (ByVal hwnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Function SetWindowLongW Lib "user32" (ByVal hwnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Function SystemParametersInfoAnsi Lib "user32" Alias "SystemParametersInfoA" (ByVal uAction As Long, ByVal uParam As Long, lpvParam As Any, ByVal fuWinIni As Long) As Long
Function SystemParametersInfoWide Lib "user32" Alias "SystemParametersInfoW" (ByVal uAction As Long, ByVal uParam As Long, lpvParam As Any, ByVal fuWinIni As Long) As Long
Function CreateDialogIndirectParamA Lib "user32" (ByVal hInstance As Long, ByVal lpTemplate As String, ByVal hWndParent As Long, ByVal lpDialogFunc As Long, ByVal dwInitParam As Long) As Long
Function CreateDialogIndirectParamW Lib "user32" (ByVal hInstance As Long, ByVal lpTemplate As String, ByVal hWndParent As Long, ByVal lpDialogFunc As Long, ByVal dwInitParam As Long) As Long
Function SHGetPathFromIDListA Lib "shell32" (ByVal pidList As Long, ByVal lpBuffer As Long) As Long
Function SHGetPathFromIDListW Lib "shell32" (ByVal pidList As Long, ByVal lpBuffer As Long) As Long
!Function RegSetValueExA Lib "advapi32.dll" (ByVal HKEY As Long, ByVal lpValueName As String, ByVal Reserved As Long, ByVal dwType As Long, lpData As Any, ByVal cbData As Long) As Long
!Function RegSetValueExW Lib "advapi32.dll" (ByVal HKEY As Long, ByVal lpValueName As Long, ByVal Reserved As Long, ByVal dwType As Long, lpData As Any, ByVal cbData As Long) As Long
Function RegCloseKey Lib "advapi32.dll" (ByVal HKEY As Long) As Long
Function FreeLibrary Lib "kernel32" (ByVal hLibModule As Long) As Long
Function GetProcAddress Lib "kernel32" (ByVal hModule As Long, ByVal lpProcName As String) As Long
Function GetCommandLineA Lib "kernel32" () As Long
Function GetCommandLineW Lib "kernel32" () As Long
Function PathGetArgsA Lib "shlwapi" (ByVal pszPath As String) As Long
Function PathGetArgsW Lib "shlwapi" (ByVal pszPath As Long) As Long
Sub DragFinish Lib "shell32.dll" (ByVal hDrop As Long)
Sub RtlMoveMemory Lib "kernel32" (lpvDest As Any, lpvSource As Any, ByVal cbCopy As Long)
Sub GetStartupInfoA Lib "kernel32" (lpStartupInfo As STARTUPINFO)
Function EnumChildWindows Lib "user32.dll" (ByVal hWndParent As Long, ByVal lpEnumFunc As Long, ByVal lParam As Long) As Long
Function FindResourceA Lib "kernel32" (ByVal hInstance As Long, ByVal lpName As String, ByVal lpType As String) As Long
Function LoadResource Lib "kernel32" (ByVal hInstance As Long, ByVal hResInfo As Long) As Long
Function LockResource Lib "kernel32.dll" (ByVal hResData As Long) As Long
Function SizeofResource Lib "kernel32.dll" (ByVal hInstance As Long, ByVal hResInfo As Long) As Long
Function ImageList_LoadImage Lib "comctl32.dll" (ByVal hi As Long, ByVal lpbmp As String, ByVal cx As Long, ByVal cGrow As Long, ByVal crMask As Long, ByVal uType As Long, ByVal uFlags As Long) As Long
Function ImageList_GetImageCount Lib "comctl32.dll" (ByVal himl As Long) As Long
Function ImageList_Remove Lib "comctl32.dll" (ByVal himl As Long, ByVal i As Long) As Long
Function ImageList_Destroy Lib "comctl32.dll" (ByVal himl As Long) As Long
!Function LoadImageA Lib "user32" (ByVal hInst As Long, lpsz As Any, ByVal uType As Long, ByVal cxDesired As Long, ByVal cyDesired As Long, ByVal fuLoad As Long) As Long
Function DestroyIcon Lib "user32" (ByVal hIcon As Long) As Long
!Function CreateStreamOnHGlobal Lib "ole32" (ByVal hGlobal As Long, ByVal fDeleteOnRelease As Long, ppstm As Any) As Long
!Function OleLoadPicture Lib "olepro32" (pStream As Any, ByVal lSize As Long, ByVal fRunmode As Long, ByVal ptrIIDGUID As Long, ppvObj As Any) As Long
Function GlobalAlloc Lib "kernel32" (ByVal uFlags As Long, ByVal dwBytes As Long) As Long
Function GlobalLock Lib "kernel32" (ByVal hMem As Long) As Long
Function GlobalUnlock Lib "kernel32" (ByVal hMem As Long) As Long
Function GlobalFree Lib "kernel32" (ByVal hMem As Long) As Long
Function SetSystemPowerState Lib "kernel32" (ByVal fSuspend As Long, ByVal fForce As Long) As Long
Function ChooseFontA Lib "comdlg32.dll" (pChoosefont As ChooseFont) As Long
Function ChooseFontW Lib "comdlg32.dll" (pChoosefont As ChooseFont) As Long

Function GdiplusShutdown Lib "gdiplus" (ByVal token As Long) As GDIPlus_Status
Function GdiplusStartup Lib "gdiplus" (ByRef token As Long, ByRef lpInput As GDIPlusStartupInput, ByRef lpOutput As GdiplusStartupOutput) As GDIPlus_Status
Function GdipLoadImageFromFile Lib "gdiplus" (ByVal FileName As Long, ByRef Image As Long) As GDIPlus_Status
Function GdipLoadImageFromStream Lib "gdiplus" (Stream As Any, ByRef Image As Long) As GDIPlus_Status
